package br.ufes.inf.nemo.javahostel.application;

import javax.ejb.EJB;
import javax.ejb.Stateless;

import br.ufes.inf.nemo.javahostel.domain.Guest;
import br.ufes.inf.nemo.javahostel.persistence.GuestDAO;
import br.ufes.inf.nemo.util.ejb3.application.CrudException;
import br.ufes.inf.nemo.util.ejb3.application.CrudServiceBean;
import br.ufes.inf.nemo.util.ejb3.persistence.BaseDAO;

@Stateless
public class ManageGuestsServiceBean 
				extends CrudServiceBean<Guest> 
				implements ManageGuestsService {

	@EJB
	private GuestDAO guestDAO;
	
	@Override
	public BaseDAO<Guest> getDAO() {
		return guestDAO;
	}

	@Override
	protected Guest createNewEntity() {
		return new Guest();
	}

}
