package br.ufes.inf.nemo.javahostel.persistence;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import br.ufes.inf.nemo.javahostel.domain.Guest;
import br.ufes.inf.nemo.util.ejb3.persistence.BaseJPADAO;

@Stateless
public class GuestJPADAO extends BaseJPADAO<Guest> implements GuestDAO {
	@PersistenceContext
	private EntityManager entityManager;
	
	@Override
	public Class<Guest> getDomainClass() {
		return Guest.class;
	}

	@Override
	protected EntityManager getEntityManager() {
		return entityManager;
	}

}
